Subject: Re: linux-next: Tree for July 17: early crash on x86-64

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 18 Jul 2008 01:06:07 +0200

On Thursday, 17 of July 2008, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since next-20080716:
> 
> Temporarily dropped tree: ttydev (it gets too many patch failures).
> 
> Changed trees: the security-testing tree was moved later in the merge in
> anticipation of majo merge problems that have been delayed.
> 	The vfs tree changed branch names.
> 
> Most of the differences were conflicts moving from tree to tree as some
> of the trees are now merged into Linus' tree.  Most have been inflicted
> on the driver-core and usb trees.  I have not notified these separately.
> 
> Because of the moving of conflicts around it is difficult to tell when
> they are going away (though I assume some are).
> 
> The driver-core tree gained two build fixes from the scsi tree (since
> that went into Linus' tree).
> 
> The usb tree gained a conflict from the firmware tree (ditto).
> 
> The x86 tree gained an expected conflict against the stackprotector and a
> build failure that required a revert of a commit.
> 
> The pci tree needed another build fix patch.
> 
> The ide tree had more conflicts with its parts that have been merged into
> Linus' tree.
> 
> The acpi had various merge problems - maybe because I am pulling a
> different tree than what was merged into Linus' tree.
> 
> The galak tree gained a conflict against the net tree.
> 
> The ubifs tree also had merge problems because a different version was
> sent to Linus.
> 
> I have also applied the following patches for known problems:
> 
> 	sparc64: sysdev API change fallout
> 
> This tree fails to build for ARCH=sparc (i.e. 32bit) with a 64bit gcc
> v3.4.5 - it tries to use the 64bit header files.  This may be an artifact
> of one of my merge fixups, but I don't actually think so.

This one crashes all of my x86-64 test boxes early during boot.

The Linus' tree is not affected.

Failing configs:
http://www.sisk.pl/kernel/debug/next/20080717/HPC_nx6325-config
http://www.sisk.pl/kernel/debug/next/20080717/M3A32-MVP-config

It's not very likely that I'll be able to bisect this issue before OLS, so most
probably I won't be testing linux-next in the next several days.

Thanks,
Rafael